Jammit Warning: Asset compression disabled -- Java unavailable (Mac/Apple)

I set up Jammit locally on my Mac running Leopard and was receiving this error:
Jammit Warning: Asset compression disabled -- Java unavailable
        



I checked out Java:

> java -version
        java version "1.5.0_22"
        Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_22-b03-333-9M3125)
        Java HotSpot(TM) Client VM (build 1.5.0_22-147, mixed mode, sharing)
        




Odd.  Poking into the jammit source, I saw that java 1.4 is required to use the YUI javascript compressor, but I had selected the google closure compiler which requires java 1.6, hence the [unclear] error message. On Leopard, if you've run all your System Updates, you probably have java 1.6, but you have to select it as the default:  Applications > Utilities > Java Preferences > drag new version to top

Established 2005 · Databasically © 2016